# How to upgrade the QLM Portal to a new version

To upgrade the QLM Portal Server to a new version:

* Make a backup of the existing QLM Portal files on your server.
* Delete all files in the existing QLM Portal folder on your server. Make sure you have completed the previous step first.
* Copy the new QLM Portal files from C:\Users\Public\Quick License Manager\DeployToServer\QlmPortal to your QLM Portal folder on your server
* Edit the web.config on your server and copy the following settings from your previous web.config (in your backup folder)
  * connectionStrings section
  * \<add key="communicationEncryptionKey" value="your previous value"/>\
    \<add key="adminEncryptionKey" value="your previous value"/>\
    \<add key="qlmVersion" value="5.0.00"/>\
    \<add key="sqlSyntax" value="your previous value"/>\
    \<add key="webServiceUrl" value="your previous value/>

&#x20;This completes the step to upgrade the QLM Portal.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/qlm-portal/how-to-upgrade-the-qlm-portal-to-a-new-version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
